Bug 739588 - [object Object] error message when trying to rename system with Administrator role
Summary: [object Object] error message when trying to rename system with Administrator...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-19 15:06 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:57:12 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2011-09-19 15:06:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):
katello-0.1.82-1.git.34.f5a575c.fc14.noarch

How reproducible:


Steps to Reproduce:
1. Create user "admin1", give role Administrator
2. log in as "admin1"
3. register a system (via api, cli, rhsm, whatever)
4. as admin1, go to Systems page
5. click the system
6. Change the "Name" field to something else
7. click "Save".

  
Actual results:
Error notif "[Object object]"

Expected results:
actual error is bug 729364, but still the proper error message should be shown - see that bug for more info.

Additional info:

Comment 1 Partha Aji 2011-10-12 23:55:18 UTC
Should be fixed as of http://git.fedorahosted.org/git/?p=katello.git;a=commit;h=022b7af5ff97f6029adebcee946fa0b7fa818d6e . A good way now to test this error would be to add trailing spaces to the name of the system and see a proper validation error.

Comment 2 Jeff Weiss 2011-10-24 15:18:16 UTC
Verified, katello-0.1.95-1.git.56.344ea38.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.